Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Interface FileChangeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  FileChangeAdapter

    public interface FileChangeListener

extends EventListener

Listener for changes in `FileObject`s. Can be attached to any `FileObject`.

When attached to a file it listens for file changes (due to saving from the IDE) and for deletes and renames.

When attached to a folder it listens for all actions taken on this folder. These include any modifications of data files or folders, and creation of new data files or folders.

See Also:
  `FileObject.addFileChangeListener(org.openide.filesystems.FileChangeListener)`

Method Summary
`void` | `fileAttributeChanged(FileAttributeEvent fe)` Fired when a file attribute is changed.
`void` | `fileChanged(FileEvent fe)` Fired when a file is changed.
`void` | `fileDataCreated(FileEvent fe)` Fired when a new file is created.
`void` | `fileDeleted(FileEvent fe)` Fired when a file is deleted.
`void` | `fileFolderCreated(FileEvent fe)` Fired when a new folder is created.
`void` | `fileRenamed(FileRenameEvent fe)` Fired when a file is renamed.

Method Detail

### fileFolderCreated

    void fileFolderCreated(FileEvent fe)

  Fired when a new folder is created. This action can only be listened to in folders containing the created folder up to the root of filesystem.

  Parameters:
    `fe` - the event describing context where action has taken place

### fileDataCreated

    void fileDataCreated(FileEvent fe)

  Fired when a new file is created. This action can only be listened in folders containing the created file up to the root of filesystem.

  Parameters:
    `fe` - the event describing context where action has taken place

### fileChanged

    void fileChanged(FileEvent fe)

  Fired when a file is changed.

  Parameters:
    `fe` - the event describing context where action has taken place

### fileDeleted

    void fileDeleted(FileEvent fe)

  Fired when a file is deleted.

  Parameters:
    `fe` - the event describing context where action has taken place

### fileRenamed

    void fileRenamed(FileRenameEvent fe)

  Fired when a file is renamed.

  Parameters:
    `fe` - the event describing context where action has taken place and the original name and extension.

### fileAttributeChanged

    void fileAttributeChanged(FileAttributeEvent fe)

  Fired when a file attribute is changed.

  Parameters:
    `fe` - the event describing context where action has taken place, the name of attribute and the old and new values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.